corda / net.corda.node.services.statemachine / ReceiveOnly

# ReceiveOnly

`data class ReceiveOnly<T : SessionMessage> : ReceiveRequest<T>`

### Constructors

<init> | `ReceiveOnly(session: FlowSession, receiveType: Class<T>, userReceiveType: Class<*>?)`

### Properties

receiveType | `val receiveType: Class<T>`
session | `val session: FlowSession`
stackTraceInCaseOfProblems | `val stackTraceInCaseOfProblems: StackSnapshot`
userReceiveType | `val userReceiveType: Class<*>?`